List AWS regions
import requests
url = "https://platform.ankra.app/api/v1/clusters/aws/regions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/aws/regions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/aws/regions \
--header 'Authorization: Bearer <token>'{
"regions": [
{
"slug": "<string>",
"name": "<string>"
}
],
"pricing_complete": true
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}AWS Clusters
List AWS regions
Bearer PAT authentication; RBAC permission clusters.read. Lists the regions enabled for the credential’s account. Answers 404 while the organisation’s aws_provider feature flag is off.
GET
/
api
/
v1
/
clusters
/
aws
/
regions
List AWS regions
import requests
url = "https://platform.ankra.app/api/v1/clusters/aws/regions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/aws/regions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/aws/regions \
--header 'Authorization: Bearer <token>'{
"regions": [
{
"slug": "<string>",
"name": "<string>"
}
],
"pricing_complete": true
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
PAT organisation override.
Query Parameters
The organisation's AWS credential (a keys credential, or a role onboarded with the provisioning or self_managed scope).